## nusoap_fault

Description

Contains information for a SOAP fault.

Mainly used for returning faults from deployed functions in a server instance.

- access: public
- version: $Id: nusoap.php,v 1.123 2010/04/26 20:15:08 snichol Exp $
- author: Dietrich Ayala <dietrich@ganx4.com>

Located in /nusoap.php (line 1007)

    nusoap_base
       |
       --nusoap_fault

Direct descendents

Class | Description
--- | ---
soap_fault | Backward compatibility

Variable Summary
string $faultactor
string $faultcode
mixed $faultdetail
string $faultstring
Method Summary
nusoap_fault nusoap_fault (string $faultcode, [string $faultactor = ''], [string $faultstring = ''], [mixed $faultdetail = ''])
string serialize ()
Variables
string $faultactor (line 1019)

The fault actor

- access: private

string $faultcode (line 1013)

The fault code (client|server)

- access: private

mixed $faultdetail (line 1031)

The fault detail, typically a string or array of string

- access: private

string $faultstring (line 1025)

The fault string, a description of the fault

- access: private

#### Inherited Variables

Inherited from nusoap_base

> nusoap_base::$charencoding
> nusoap_base::$debugLevel
> nusoap_base::$debug_str
> nusoap_base::$error_str
> nusoap_base::$namespaces
> nusoap_base::$revision
> nusoap_base::$soap_defencoding
> nusoap_base::$title
> nusoap_base::$typemap
> nusoap_base::$usedNamespaces
> nusoap_base::$version
> nusoap_base::$xmlEntities
> nusoap_base::$XMLSchemaVersion

Methods
Constructor nusoap_fault (line 1041)

constructor

nusoap_fault nusoap_fault (string $faultcode, [string $faultactor = ''], [string $faultstring = ''], [mixed $faultdetail = ''])

- string $faultcode: (SOAP-ENV:Client | SOAP-ENV:Server)
- string $faultactor: only used when msg routed between multiple actors
- string $faultstring: human readable error message
- mixed $faultdetail: detail, typically a string or array of string

serialize (line 1055)

serialize a fault

- return: The serialization of the fault instance.
- access: public

string serialize ()

#### Inherited Methods

Inherited From nusoap_base

> nusoap_base::nusoap_base()
> nusoap_base::appendDebug()
> nusoap_base::clearDebug()
> nusoap_base::contractQname()
> nusoap_base::debug()
> nusoap_base::expandEntities()
> nusoap_base::expandQname()
> nusoap_base::formatDump()
> nusoap_base::getDebug()
> nusoap_base::getDebugAsXMLComment()
> nusoap_base::getDebugLevel()
> nusoap_base::getError()
> nusoap_base::getGlobalDebugLevel()
> nusoap_base::getLocalPart()
> nusoap_base::getmicrotime()
> nusoap_base::getNamespaceFromPrefix()
> nusoap_base::getPrefix()
> nusoap_base::getPrefixFromNamespace()
> nusoap_base::isArraySimpleOrStruct()
> nusoap_base::serializeEnvelope()
> nusoap_base::serialize_val()
> nusoap_base::setDebugLevel()
> nusoap_base::setError()
> nusoap_base::setGlobalDebugLevel()
> nusoap_base::varDump()
> nusoap_base::__toString()

Documentation generated on Mon, 26 Apr 2010 16:17:03 -0400 by phpDocumentor 1.3.0RC3